package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

public class MenuRecipeDetailRemoveDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("发布日期")
   private LocalDate applyDate;
   private Integer applyWeek;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Integer getApplyWeek() {
      return this.applyWeek;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setApplyWeek(final Integer applyWeek) {
      this.applyWeek = applyWeek;
   }

}
